<?php
/**
 * dimp.js.php - Load dynamic variables into javascript namespace.
 *
 * $Horde: dimp/dimp.js.php,v 1.22 2007/04/19 18:53:39 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

$authentication = 'none';
$session_control = 'readonly';
$load_imp = true;
@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__));

/* IE doesn't seem to consistently like compressed javascript. */
require_once DIMP_BASE . '/../lib/core.php';
$is_ie = $browser->isBrowser('msie');
if ($is_ie) {
    ini_set('zlib.output_compression', 0);
    ini_set('zend_accelerator.compress_all', 0);
    $no_compress = true;
}

require_once DIMP_BASE . '/lib/base.php';
require_once 'Horde/Serialize.php';

/* Get information from IMP before we pop it off of the application stack. */
$refresh_time = $prefs->getValue('menu_refresh_time');
$spam_reporting = (int) !empty($conf['spam']['reporting']);
$compose_cc = $prefs->getValue('compose_cc');
$compose_bcc = $prefs->getValue('compose_bcc');
$attach_limit = $conf['compose']['attach_count_limit'];
$close_draft = $prefs->getValue('close_draft');

$registry->popApp('imp');
$horde_webroot = $registry->get('webroot', 'horde');

/* Variables used in core javascript files. */
$var = array(
    'URI_DIMP_INBOX' => Horde::applicationUrl('index.php', true, -1),
    'URI_IMP' => Horde::applicationUrl('imp.php', true, -1),
    'URI_CHUNK' => Horde::applicationUrl('chunk.php', true, -1),
    'URI_PREFS' => Horde::url($horde_webroot . '/services/prefs/', true),
    'URI_GRAPHICS' => Horde::url($registry->get('themesuri') . '/graphics/', true),
    'SESSION_ID' => substr(Horde::url(''), 1),

    'kronolith_url' => Horde::url($registry->getInitialPage('kronolith'), true),
    'turba_url' => Horde::url($registry->getInitialPage('turba'), true),
    'ingo_url' => Horde::url($registry->getInitialPage('ingo'), true),
    'options_url' => Horde::applicationUrl('options.php'),
    'timeout_url' => Auth::addLogoutParameters($horde_webroot . '/login.php', AUTH_REASON_SESSION),
    'message_url' => Horde::applicationUrl('message.php'),
    'compose_url' => Horde::applicationUrl('compose.php'),
    'showmsg_url' => Horde::applicationUrl('imp.php/ShowMessage'),

    'loading_img' => Horde::img('loading.gif', _("Loading ..."), array('id' => 'msgLoading'), $registry->getImageDir('dimp')),

    'sortfrom' => SORTFROM,
    'sortsubject' => SORTSUBJECT,
    'sortthread' => SORTTHREAD,
    'sortdate' => SORTDATE,
    'sortsize' => SORTSIZE,

    'popup_width' => 820,
    'popup_height' => 610,

    'spam_reporting' => $spam_reporting,
    'refresh_time' => $refresh_time,

    'compose_id' => base_convert(microtime(), 10, 36),

    'name' => $registry->get('name', 'dimp'),

    'preview_pref' => $dimp_prefs->getValue('show_preview') ? true : false,

    'is_ie6' => ($is_ie && ($browser->getMajor() < 7)),

    // Turn debugging on?
    'debug' => !empty($conf['js']['debug']),
);

/* Gettext strings used in core javascript files. */
$gettext = array_map('addslashes', array(
    'portal' => _("Portal"),
    'search' => _("Search"),
    'resfound' => _("results found"),
    'messages' => _("Messages"),
    'of' => _("of"),
    'nomessages' => _("No Messages"),
    'hidetext' => _("Hide Quoted Text"),
    'showtext' => _("Show Quoted Text"),
    'lines' => _("lines"),
    'hideaddr' => _("Hide Addresses"),
    'showaddr' => _("Show Addresses"),
    'recips' => _("recipients"),
    'ok' => _("ok"),
    'loading' => _("Loading..."),
    'totext' => _("To"),
    'from' => _("From"),
    'thread' => _("Thread"),
    'subject' => _("Subject"),
    'check' => _("Checking..."),
    'getmail' => _("Get Mail"),
    'ajax_timeout' => _("There has been no contact with the remote server for several minutes. The server may be temporarily unavailable or network problems may be interrupting your session. You will not see any updates until the connection is restored."),
    'ajax_recover' => _("The connection to the remote server has been restored."),
    'listmsg_wait' => _("The server is still generating the message list."),
    'listmsg_timeout' => _("The server was unable to generate the message list. Please try again later."),
));

/* Variables used in core javascript files. */
$var_compose = array(
    'rte_avail' => $browser->hasFeature('rte'),
    'cc' => (bool)$compose_cc,
    'bcc' => (bool)$compose_bcc,
    'attach_limit' => ($attach_limit ? intval($attach_limit) : -1),
    'close_draft' => $close_draft,
);

/* Gettext strings used in compose page. */
$gettext_compose = array_map('addslashes', array(
    'cancel' => _("Cancelling this message will permanently discard its contents and will delete auto-saved drafts.\nAre you sure you want to do this?"),
    'fillform' => _("You have already changed the message body, are you sure you want to drop the changes?"),
    'remove' => _("remove"),
    'uploading' => _("Uploading..."),
    'attachment_limit' => _("The attachment limit has been reached."),
    'sending' => _("Sending..."),
));

$charset = NLS::getCharset();
header('Content-Type: text/javascript; charset=UTF-8');

?>
var DimpVar = <?php echo Horde_Serialize::serialize($var, SERIALIZE_JSON, $charset); ?>,
DimpVar_compose = <?php echo Horde_Serialize::serialize($var_compose, SERIALIZE_JSON, $charset); ?>,
DimpText = <?php echo Horde_Serialize::serialize($gettext, SERIALIZE_JSON, $charset); ?>,
DimpText_compose = <?php echo Horde_Serialize::serialize($gettext_compose, SERIALIZE_JSON, $charset); ?>;
