<?php
/**
 * $Horde: dimp/dimple.php,v 1.12 2007/02/02 02:30:18 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__));
require_once DIMP_BASE . '/lib/base.php';

if (empty($_SERVER['PATH_INFO'])) {
    DIMP::sendResponse(new stdClass(), 'json');
}

if ($_SERVER['PATH_INFO'][0] == '/') {
    $_SERVER['PATH_INFO'] = substr($_SERVER['PATH_INFO'], 1);
}
$path = explode('/', $_SERVER['PATH_INFO']);
$dimpleName = array_shift($path);

if (!($dimple = Dimple::factory($dimpleName))) {
    DIMP::sendResponse(new stdClass(), 'json');
}

$args = array();
foreach ($path as $pair) {
    if (strpos($pair, '=') === false) {
        $args[$pair] = true;
    } else {
        list($name, $val) = explode('=', $pair);
        $args[$name] = $val;
    }
}

$result = $dimple->handle($args);

if (!empty($_SERVER['Content-Type'])) {
    $ct = $_SERVER['Content-Type'];
} else {
    $ct = is_string($result) ? 'plain' : 'json';
}

DIMP::sendResponse($result, $ct);
