<?php
/**
 * DIMP ViewPort example.
 *
 * $Horde: dimp/docs/dev/examples/ViewPort.php,v 1.4 2007/01/07 19:17:00 slusarz Exp $
 */

@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__) . '/../../..');
require_once DIMP_BASE . '/lib/base.php';

if ($size = Util::getFormData('page_size')) {
    $offset = (int)Util::getFormData('offset');
    header('Content-Type: text/xml');
    echo '<?xml version="1.0" encoding="ISO-8859-1"?><ajax-response totalrows="12129" rowcount="' . (int)$size . '">';
    for ($n = 0; $n < $size; ++$n) {
?>
<div rownum="<?php echo ($n + $offset) ?>" style="height:20px">
 <h2 style="margin:0; font-size:16px"><?php echo ($n + $offset + 1) ?></h2>
</div>
<?php
    }
    echo '</ajax-response>';
    exit;
}

IMP::addInlineScript("
var myGridUpdater;
Event.observe(window, 'load', function()
{
    var opts = {
        prefetchBuffer: true,
        onScroll: function(viewport) { updateTopicsGridHeader(viewport.scroller.currentOffset()); },
        onComplete: function() { $('loading').style.display = 'none'; },
        onLoading: function() { $('loading').style.display = ''; },
        onFirstContent: function() {updateTopicsGridHeader(0);}
    }
    myGridUpdater = new ViewPort('mygrid', 5, 10, 'ViewPort.php', opts);
});

// Called on the onScroll event.
function updateTopicsGridHeader(offset)
{
    if (myGridUpdater && myGridUpdater.metaData) {
        var metaData = myGridUpdater.metaData;
        $('gridResultRange').innerHTML = 'Rows %1 from %2'.replace('%1', (offset + 1) + ' - ' + (offset + metaData.getPageSize())).replace('%2', metaData.getTotalRows());
    }
}
");

Horde::addScriptFile('ViewPort.js', 'dimp', true);
DIMP::header('ViewPort Demo');
?>

<body>

<div id="gridStats" style="margin-bottom:2px; height:20px"><span id="gridResultRange"></span><img src="../../../themes/graphics/loading.gif" align="top" alt="*" id="loading" /></div>
<div id="mygrid" style="overflow:hidden; white-space:nowrap; float:left;width:200px; border-left:1px solid #ababab;"></div>

</body>
</html>
