<?php
/**
 * DIMP Dynamic History demo.
 *
 * $Horde: dimp/docs/dev/examples/dhtmlHistory.php,v 1.3 2007/01/07 19:17:00 slusarz Exp $
 */

@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__) . '/../../..');
require_once DIMP_BASE . '/lib/base.php';

IMP::addInlineScript('
Event.observe(window, "load", function()
{
    dhtmlHistory.initialize();
    dhtmlHistory.addListener(updateUI);

    // Determine our current location so we can initialize ourselves
    // at startup.
    var initialLocation = dhtmlHistory.getCurrentLocation() || 1;

    // Now initialize our starting UI.
    updateUI(initialLocation, null);
});

// Update history and navigate.
function go(newLocation)
{
    updateUI(newLocation, null);
    window.dhtmlHistory.add(newLocation, null);
    return false;
}

// Our callback to receive history change events.
function updateUI(newLocation, historyData)
{
    var content;
    if (newLocation == 1) {
        content = "<h2>Page 1<\/h2><p>Curabitur nibh urna, luctus nec, malesuada ac, lacinia non, dolor. Proin iaculis est faucibus eros. Fusce libero sapien, consectetuer a, rhoncus et, accumsan in, ipsum. Nullam lacus. Phasellus ut urna. In hac habitasse platea dictumst. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vivamus eget sem. Pellentesque ultricies dui ultrices risus. Nulla ut quam convallis ligula tincidunt sollicitudin. Suspendisse urna. Vestibulum lacus.<\/p>";
    } else if (newLocation == 2) {
        content = "<h2>Page 2<\/h2><p>Nullam vitae odio ac erat consectetuer pellentesque. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nunc sollicitudin urna ac dolor. Aliquam pellentesque aliquet libero. Sed sollicitudin wisi vel ipsum. Quisque vulputate ornare orci. Suspendisse venenatis. Mauris vestibulum fringilla turpis. Cras eros lacus, pharetra a, pulvinar ac, porta at, erat. In molestie tincidunt justo. Donec varius odio quis turpis. Quisque velit ante, fringilla vel, mollis non, gravida sed, velit. Fusce suscipit, wisi malesuada vestibulum consequat, erat enim consectetuer libero, eget lacinia neque metus ut pede. Ut eget justo. Nam purus mi, posuere in, fringilla a, fermentum sed, enim. Suspendisse tempus velit nonummy felis. Cras non justo nonummy libero bibendum consequat. Sed id odio non metus volutpat placerat. Aliquam erat volutpat.<\/p>";
    } else if (newLocation == 3) {
        content = "<h2>Page 3<\/h2><p>Vivamus molestie, dolor sed consequat ullamcorper, odio wisi faucibus elit, non elementum dolor orci eu orci. Vestibulum et pede. Praesent ac leo in mauris vulputate ultricies. Nam nibh diam, egestas nec, vestibulum eu, fringilla in, neque. Suspendisse ut nulla nonummy wisi tincidunt viverra. Donec massa. Integer venenatis velit nec ligula. Sed varius. Duis porttitor, lectus ut consectetuer auctor, massa diam consectetuer tellus, nec fringilla orci mi eget nisl. Proin pulvinar leo at nisl. Maecenas sollicitudin. Nulla sagittis, est a dignissim laoreet, velit ante vestibulum metus, sit amet lacinia metus eros sit amet felis. Etiam vulputate nibh a pede. Proin sem. Sed erat. Sed nec purus. Fusce neque ligula, lobortis sit amet, tempor et, gravida ac, tellus. Morbi mi.<\/p>";
    } else {
        content = "<h2>Page 0<\/h2><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aliquam interdum. Proin fringilla. Ut lacinia tincidunt sem. Etiam mattis ante vitae sem. Sed arcu lacus, lobortis a, cursus vitae, dignissim non, nibh. Praesent commodo, sem in bibendum tincidunt, wisi diam gravida massa, in lacinia sapien urna et arcu. Aenean congue risus vel elit. Mauris justo est, faucibus vel, congue congue, semper sed, nunc. Duis at ipsum. Duis ornare enim sit amet libero. Etiam consectetuer. Donec lobortis. Maecenas pellentesque, felis et pellentesque vestibulum, dui ligula fringilla quam, sit amet dictum risus dolor sed purus. Aliquam quis erat. Vestibulum turpis erat, scelerisque in, accumsan sit amet, convallis a, mi. Suspendisse potenti. Curabitur iaculis leo nec erat. Mauris non purus ut lectus pulvinar elementum.<\/p>";
    }
    $("container").innerHTML = content;
}
');

Horde::addScriptFile('json.js', 'dimp', true);
Horde::addScriptFile('dhtmlHistory.js', 'dimp', true);
DIMP::header('Dynamic History Demo');

?>
<body>

<h1>Dynamic History Demo</h1>
<br />

<h2>Navigation</h2>
<ul>
 <li><a href="content.php?hash=1" onclick="return go(1)">Page 1</a></li>
 <li><a href="content.php?hash=2" onclick="return go(2)">Page 2</a></li>
 <li><a href="content.php?hash=3" onclick="return go(3)">Page 3</a></li>
</ul>
<br />

<div id="container" class="box"></div>

</body>
</html>
