<?php
/**
 * DIMP Dynamic History with pre-loaded data demo.
 *
 * $Horde: dimp/docs/dev/examples/dhtmlHistoryPreLoad.php,v 1.5 2007/01/07 19:17:00 slusarz Exp $
 */

@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__) . '/../../..');
require_once DIMP_BASE . '/lib/base.php';

IMP::addInlineScript('
Event.observe(window, "load", function()
{
    dhtmlHistory.initialize();
    dhtmlHistory.addListener(historyChange);

    if (dhtmlHistory.isFirstLoad()) {
        // start adding history
        dhtmlHistory.add("1", "Hello World Data");
        dhtmlHistory.add("2", 33);
        dhtmlHistory.add("3", true);
        dhtmlHistory.add("4", true);

        var complexObject = new Object();
        complexObject.value1 = "This is value1";
        complexObject.value2 = "This is value2";
        complexObject.value3 = new Array();
        complexObject.value3[0] = "This is array[0]";
        complexObject.value3[1] = "This is array[1]";

        dhtmlHistory.add("complexObject", complexObject);
    }
});

/* Our callback to receive history change events. */
function historyChange(newLocation, historyData)
{
    var historyMsg = historyData;

    if (newLocation == "complexObject") {
        historyMsg = JSON.stringify(historyData);
    }
    $("debugMsg").innerHTML =
        "<b>A history change has "
        + "occured:<\/b> "
        + "newLocation=" + newLocation
        + ", historyData=" + historyMsg;
}
');

Horde::addScriptFile('json.js', 'dimp', true);
Horde::addScriptFile('dhtmlHistory.js', 'dimp', true);
DIMP::header('Dynamic History Pre-loaded Demo');

?>
<body>

<h1>Test Dynamic History</h1>
<br />

<h2>Output</h2>
<br />

<div id="debugMsg" class="box">
</div>

</body>
</html>
