<?php
/**
 * $Horde: dimp/index.php,v 1.51 2007/04/16 10:08:36 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Schneider <jan@horde.org>
 */

@define('DIMP_BASE', dirname(__FILE__));
$dimp_configured = (is_readable(DIMP_BASE . '/config/conf.php'));

if (!$dimp_configured) {
    require DIMP_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('DIMP', DIMP_BASE,
                                   array('conf.php'));
}

$load_imp = true;
require_once DIMP_BASE . '/lib/base.php';

$scripts = array(
    array('ContextSensitive.js', 'dimp', true),
    array('ViewPort.js', 'dimp', true),
    array('dragdrop.js', 'imp', true),
    array('DraggableMail.js', 'dimp', true),
    array('dhtmlHistory.js', 'dimp', true),
    array('mailbox.js', 'dimp')
);

/* Get application folders list. */
$application_folders = array();
if (isset($conf['menu']['apps']) &&
    is_array($conf['menu']['apps']) &&
    count($conf['menu']['apps'])) {
    foreach ($conf['menu']['apps'] as $app) {
        if ($registry->get('status', $app) != 'inactive' &&
            $registry->hasPermission($app, PERMS_SHOW)) {
            $application_folders[] = array(
                'name' => htmlspecialchars($registry->get('name', $app)),
                'icon' => $registry->get('icon', $app),
                'app' => rawurlencode($app)
            );
        }
    }
}

DIMP::header('', $scripts);
echo "<body>\n";
require DIMP_TEMPLATES . '/index/index.inc';
$notification->notify(array('listeners' => array('javascript')));
echo "</body>\n</html>";
