/**
 * $Horde: dimp/js/src/fullmessage.js,v 1.10 2007/04/04 05:52:03 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

function quickreply(type)
{
    var func;

    $('msglistplacer').hide();
    $('qreply').show();

    switch (type) {
    case 'reply':
    case 'reply_all':
        $('replypopdown').hide();
        func = 'GetReplyData';
        break;

    case 'forwardall':
    case 'forwardbody':
    case 'forwardattachments':
        $('fwdpopdown').hide();
        func = 'GetForwardData';
        break;
    }

    DimpCore.doAction(func,
                      { uid: $F('index'),
                        folder: $F('folder'),
                        imp_compose: $F('messageCache'),
                        type: type },
                      [],
                      msgTextCallback);
}

function msgTextCallback(result)
{
    if (!result.response) {
        return;
    }
    var r = result.response;

    fillForm(r.body, r.header);
    if ((r.format == 'html') && !editor_on) {
        toggleHtmlEditor(true);
    }

    if (r.fwd_list && r.fwd_list.length) {
        r.fwd_list.each(function(ptr) {
            addAttach(ptr.number, ptr.name, ptr.type, ptr.size);
        });
    }

    if (r.imp_compose) {
        $('messageCache').value = r.imp_compose;
    }
}

function popdown(l, e)
{
    if (e.visible()) {
        return;
    }
    e.setStyle({ position: 'absolute' });
    Position.clone(l, e, {
        setHeight: false,
        setWidth: false,
        offsetTop: l.offsetHeight
    });
    e.show();
    l.focus();
    Event.observe(l, 'blur', function() { setTimeout(function() { closepopdown(e); }, 250); }.bindAsEventListener(e));
}

function closepopdown(e)
{
    if (e.visible()) {
        e.hide();
    };
}
