<?php
/**
 * $Horde: dimp/message.php,v 1.40 2007/04/19 00:22:32 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Schneider <jan@horde.org>
 */

$load_imp = true;
@define('DIMP_BASE', dirname(__FILE__));
require_once DIMP_BASE . '/lib/base.php';
require_once IMP_BASE . '/lib/IMAP/MailboxCache.php';
require_once IMP_BASE . '/lib/MIME/Contents.php';

$index = Util::getFormData('uid');
$folder = Util::getFormData('folder');
if (!$index || !$folder) {
    exit;
}

/* Need to check mailbox for existence of message - since IMP_Contents may be
 * cached and we need to return JSON error before we start outputting HTML. */
$mailbox_cache = &IMP_MailboxCache::singleton();
$cache_entry = $mailbox_cache->retrieve($folder, array($index), 1);
$ob = reset($cache_entry);
if ($ob === false) {
    $notification->push(_("Requested message not found."), 'horde.error');
    echo DIMP::closeViewJS();
    exit;
}

/* Parse MIME info and create the body of the message. */
$imp_contents = &IMP_Contents::singleton($index . IMP_IDX_SEP . $folder);
if (is_a($imp_contents, 'PEAR_Error') || !$imp_contents->buildMessage()) {
    $notification->push(_("Requested message not found."), 'horde.error');
    echo DIMP::closeViewJS();
    exit;
}

$options = array(array('img' => Horde::img('print.png', '', '', $registry->getImageDir('horde')),
                       'label' => _("Print"),
                       'onclick' => 'window.print(); return false;'));

/* Message Source link. */
$base_part = $imp_contents->getMIMEMessage();
$ms_url = Util::addParameter($imp_contents->urlView($base_part, 'view_source'), 'thismailbox', $folder);
$ms_id = $base_part->getMIMEId() || abs(crc32(serialize($base_part)));
$options[] = array('img' => Horde::img('message_source.png', _("View Message Source"), '', $registry->getImageDir('dimp')),
                   'label' => _("View Message Source"),
                   'onclick' => 'view(\'' . $ms_url . '\', \'' . $ms_id . '\'); return false;');

require_once IMP_BASE . '/lib/UI/Message.php';
$imp_ui = new IMP_UI_Message();
$basic_headers = $imp_ui->basicHeaders();
unset($basic_headers['subject']);

/* Init IMP_UI_Compose:: object. */
require_once IMP_BASE . '/lib/UI/Compose.php';
$imp_ui = new IMP_UI_Compose();

/* Attach spellchecker & auto completer. */
$imp_ui->attachAutoCompleter('Dimple', array('to', 'cc', 'bcc'));
$imp_ui->attachSpellChecker('Dimple');

$scripts = array(
    array('ContextSensitive.js', 'dimp', true),
);

$popup = true;
DIMP::header('', $scripts);
echo "<body>\n";
require DIMP_TEMPLATES . '/chunks/fullmessage.php';
$notification->notify(array('listeners' => array('javascript')));
echo "</body>\n</html>";
