<?php
/**
 * $Horde: dimp/templates/chunks/compose.php,v 1.124 2007/04/18 16:39:31 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

require_once 'Horde/MIME.php';
require_once 'Horde/Identity.php';
require_once 'Horde/Serialize.php';
require_once 'Horde/Text/Filter.php';

/* Load Identity. */
$identity = &Identity::singleton(array('imp', 'imp'));
$selected_identity = $identity->getDefault();
$sent_mail_folder = $identity->getValue('sent_mail_folder');
if (!empty($sent_mail_folder)) {
    $sent_mail_folder = htmlspecialchars('"' . IMP::displayFolder($sent_mail_folder) . '"');
}

/* Get user identities. */
$all_sigs = $identity->getAllSignatures();
foreach ($all_sigs as $ident => $sig) {
    $identities[] = array(
        $sig,
        str_replace(' target="_blank"', '', Text_Filter::filter($ident[0], 'text2html', array('parselevel' => TEXT_HTML_MICRO_LINKURL, 'class' => null, 'callback' => null))),
        (bool)$identity->getValue('sig_first', $ident),
        $identity->getValue('sent_mail_folder', $ident),
        (bool)$identity->saveSentmail($ident),
        IMP::displayFolder($identity->getValue('sent_mail_folder', $ident)),
        MIME::addrArray2String($identity->getBccAddresses($ident))
    );
}

$qreply = intval(Util::nonInputVar('qreply'));
$popup = intval(Util::nonInputVar('popup'));

$abook_url = 'window.open(\'' . Horde::applicationUrl('contacts.php') . '\', \'contacts\', \'toolbar=no,location=no,status=no,scrollbars=yes,resizable=yes,width=550,height=300,left=100,top=100\'); return false;';

Horde::addScriptFile('compose.js', 'dimp', true);

$attach = array();
if (isset($imp_compose) && $imp_compose->numberOfAttachments()) {
    foreach ($imp_compose->getAttachments() as $num => $mime) {
        $attach[] = 'addAttach(' . $num . ', \'' . addslashes($mime->getName(true, true)) . '\', \'' . addslashes($mime->getType()) . '\', \'' . addslashes($mime->getSize()) . "')";
    }
}

$js_code = array(
    'auto_save_interval_val = ' . intval($prefs->getValue('auto_save_drafts')),
    'identities = ' . Horde_Serialize::serialize($identities, SERIALIZE_JSON),
    'popup_window = ' . $popup,
    'qreply = ' . $qreply
);
if (!empty($attach)) {
    $js_code[] = 'Event.observe(window, "load", function() { ' . implode(';', $attach) . ' })';
}
IMP::addInlineScript($js_code);

if ($browser->hasFeature('rte')) {
    require_once 'Horde/Editor.php';
    // We are currently in IMP scope, so load DIMP's prefs, get the
    // requested pref, and then reload IMP's prefs.
    $registry->loadPrefs('dimp');
    $hide_buttons = @unserialize($prefs->getValue('editor_hide_buttons'));
    $registry->loadPrefs('imp');
    $editor = &Horde_Editor::singleton('xinha', array('id' => 'message', 'config' => array('statusBar' => false, 'height' => '@raw@Element.getHeight(\'messageParent\') - mp_padding'), 'hidebuttons' => $hide_buttons, 'no_notify' => true, 'no_autoload' => true));
    echo $editor->getJS();
}
?>
<form id="compose" name="compose" enctype="multipart/form-data" action="compose.php" method="post" target="submit_frame">
<?php echo Util::formInput() ?>
<input type="hidden" id="action" name="action" />
<input type="hidden" id="last_identity" name="last_identity" value="<?php echo (int)$selected_identity ?>" />
<input type="hidden" id="html" name="html" value="<?php echo (int)($browser->hasFeature('rte') && $prefs->getValue('compose_html')) ?>" />
<input type="hidden" id="in_reply_to" name="in_reply_to" />
<input type="hidden" id="references" name="references" />
<input type="hidden" id="folder" name="folder" value="<?php echo $folder ?>" />
<input type="hidden" id="index" name="index" value="<?php echo $index ?>" />
<input type="hidden" id="draft_index" name="draft_index" value="<?php echo (isset($imp_compose)) ? intval($imp_compose->saveDraftIndex()) : '' ?>" />
<input type="hidden" id="reply_type" name="reply_type" />
<input type="hidden" id="messageCache" name="messageCache" value="<?php echo (isset($imp_compose)) ? $imp_compose->getMessageCacheId() : '' ?>" />

<div id="dimpActions" style="margin-top:0">
 <?php echo DIMP::actionButton('#', _("Se_nd"), '', 'forward.png', 'uniqueSubmit(\'send_message\')', 'send_button') ?>
 <?php $d_read = $prefs->getValue('disposition_request_read'); if ($conf['compose']['allow_receipts'] && $d_read != 'never'): ?>
 <label><input type="checkbox" class="checkbox" name="request_read_receipt"<?php if ($d_read != 'ask') echo ' checked="checked"' ?> /> <?php echo _("Read Receipt") ?></label>
 <?php endif; ?>
 <?php if ($conf['user']['allow_folders'] && !$prefs->isLocked('save_sent_mail')): ?>
  <label><input type="checkbox" class="checkbox" id="save_sent_mail" name="save_sent_mail"<?php if ($identity->saveSentmail()) echo ' checked="checked"' ?> /> <?php echo _("Save in ") ?><span id="sent_mail_folder_label"><?php echo $sent_mail_folder ?></span></label>
 <?php endif; ?>
 <span class="sep">|</span>
 <?php echo DIMP::actionButton('#', _("Check Spelling"), '', 'spellcheck.png', 'return false', 'spellcheck') ?>
 <span class="sep">|</span>
 <?php echo DIMP::actionButton('#', _("Save as Draft"), '', 'drafts.png', 'uniqueSubmit(\'save_draft\')') ?>
 <?php echo DIMP::actionButton('#', _("Cancel"), '', 'delete.png', 'return confirmCancel()') ?>
</div>

<div id="writemsg">
<div class="msgwrite">
<div class="dimpOptions">
 <label><input id="togglecc" name="togglecc" type="checkbox" class="checkbox" onclick="Element.toggle('sendcc');" /> <?php echo _("Show Cc") ?></label><br />
 <label><input id="togglebcc" name="togglebcc" type="checkbox" class="checkbox" onclick="Element.toggle('sendbcc');" /> <?php echo _("Show Bcc") ?></label><br />
 <?php if ($browser->hasFeature('rte')): ?>
  <label><input id="htmlcheckbox" type="checkbox" class="checkbox" <?php if ($prefs->getValue('compose_html')) echo 'checked="checked"' ?> onclick="if (editor_on) { if (!window.confirm('<?php echo addslashes(_("Really discard all formatting information? This operation cannot be undone.")) ?>')) return false; } toggleHtmlEditor();" /> <?php echo _("HTML composition") ?></label><br />
 <?php endif; ?>
</div>
<table cellspacing="0"><thead>
 <tr>
  <td class="label"><?php echo _("From: ") ?></td>
  <td>
   <select name="identity" onchange="change_identity(this.selectedIndex);" style="direction:ltr">
<?php foreach ($identity->getSelectList() as $id => $from): ?>
    <option value="<?php echo htmlspecialchars($id) ?>"<?php if ($id == $selected_identity) echo ' selected="selected"' ?>><?php echo htmlspecialchars($from) ?></option>
<?php endforeach; ?>
   </select>
  </td>
 </tr>
 <tr>
  <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("To: ") . '</a>' ?></td>
  <td>
   <textarea id="to" name="to" rows="1"></textarea>
   <div id="to_results" class="autocomplete" style="display:none"></div>
  </td>
 </tr>
</thead></table>
<table cellspacing="0" id="sendcc" style="display:none">
 <thead>
  <tr>
   <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("Cc: ") . '</a>' ?></td>
   <td>
    <textarea id="cc" name="cc" rows="1"></textarea>
    <div id="cc_results" class="autocomplete" style="display:none"></div>
   </td>
  </tr>
 </thead>
</table>
<table cellspacing="0" id="sendbcc" style="display:none">
 <thead>
  <tr>
   <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("Bcc: ") . '</a>' ?></td>
   <td>
    <textarea id="bcc" name="bcc" rows="1"></textarea>
    <div id="bcc_results" class="autocomplete" style="display:none"></div>
   </td>
  </tr>
 </thead>
</table>
<table cellspacing="0">
 <thead>
  <tr>
   <td class="label"><?php echo _("Subject: ") ?></td>
   <td class="subject"><input type="text" id="subject" name="subject" style="width:30em" /></td>
  </tr>
 </thead>
</table>
<table cellspacing="0">
 <thead>
  <tr valign="top" style="line-height:130%">
   <td class="label"><?php echo Horde::img('attachment.png', '', '', $registry->getImageDir('imp')) . ': ' ?></td>
   <td id="attach_cell">
    <input type="file" id="upload" name="file_1" />
<?php $save_attach = $prefs->getValue('save_attachments'); if (strpos($save_attach, 'prompt') !== false): ?>
    <label style="font-family:verdana, arial, helvetica, sans-serif"><input type="checkbox" class="checkbox" name="save_attachments_select"<?php if (strpos($save_attach, 'yes') !== false) echo ' checked="checked"' ?> /> <?php echo _("Save Attachments in sent folder") ?></label><br />
<?php endif; ?>
    <div id="attach_list"></div>
   </td>
  </tr>
 </thead>
</table>
</div>

<div id="messageParent">
 <textarea name="message" style="width:100%;" rows="20" id="message"></textarea>
</div>

</div>

</form>

<iframe name="submit_frame" id="submit_frame" style="display:none" src="javascript:false;"></iframe>
